Groovy Documentation

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class AbstractDelegate

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext
          org.codehaus.groovy.grails.webflow.engine.builder.AbstractDelegate

    abstract class AbstractDelegate
    extends WebRequestDelegatingRequestContext

An abstract delegate that relays property look-ups onto a either the application context or the currently executing controller.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`RequestContext` | `context`

Constructor Summary
`AbstractDelegate(RequestContext context)`

Method Summary
`MutableAttributeMap` | `getConversation()` Returns the conversation scope instance
`MutableAttributeMap` | `getFlash()` Returns the flash scope instance
`MutableAttributeMap` | `getFlow()` Returns the flow scope instance
`java.lang.Object` | `getProperty(java.lang.String name)` Resolves properties from the currently executing controller

Methods inherited from class WebRequestDelegatingRequestContext
getActionName, getApplicationContext, getControllerName, getOut, getParams, getRequest, getRequestURI, getResponse, getServletContext, getSession, getWebRequest

Property Detail

### context

    RequestContext context

Constructor Detail

### AbstractDelegate

    AbstractDelegate(RequestContext context)

Method Detail

### getConversation

    MutableAttributeMap getConversation()

  Returns the conversation scope instance

### getFlash

    MutableAttributeMap getFlash()

  Returns the flash scope instance

### getFlow

    MutableAttributeMap getFlow()

  Returns the flow scope instance

### getProperty

    java.lang.Object getProperty(java.lang.String name)

  Resolves properties from the currently executing controller

Groovy Documentation